1. Golang - Echo Api
Personal Resume Project
  • Personal Resume Project
    • Introduction, Read Me!
    • Golang - Echo Api
      • Technical Documentation for Go Echo Backend
      • MongoDB Schema Documentation
      • GetPersonalInfo
        GET
      • GetExperience
        GET
    • Python - Resume AI Api
      • AI Chat Service – Resume Assistant Tech Doc
  1. Golang - Echo Api

GetPersonalInfo

Developing
GET
https://3f0tv6ipo2.execute-api.ap-southeast-3.amazonaws.com/dev/api/v1/personal-info

Request

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://3f0tv6ipo2.execute-api.ap-southeast-3.amazonaws.com/dev/api/v1/personal-info' \
--header 'X-API-KEY: wRNbm38KGBO79fj' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "67bdc56776af0fdb75bebfba",
    "first_name": "Kenneth",
    "last_name": "Hakim",
    "email": "hakimkenneth@gmail.com",
    "phone": "+62-8788-8517-728",
    "address": "Jl. Sunter Jaya VI B Blok L No 10, Jakarta Utara",
    "title": "Backend Engineer | AI Enthusiast ",
    "linkedinUrl": "https://www.linkedin.com/in/kenneth-hakim-652b9612b/",
    "githubUrl": "https://github.com/Ken-hkm",
    "aboutMe": "I am a Backend Engineer with extensive experience in designing and developing large-scale applications. I specialize in technical architecture, end-to-end module development, and comprehensive documentation. I take initiative in driving solutions and actively participate in R&D of new technologies. Collaborating closely with Product Managers, I bridge technical and business requirements to deliver impactful solutions. As a squad lead, I drive project success by mentoring team members, fostering collaboration, and ensuring seamless delivery of high-performance systems."
}
Modified at 2025-03-14 03:23:14
Previous
MongoDB Schema Documentation
Next
GetExperience
Built with